package com.ruoyi.system.domain;

import com.ruoyi.common.core.annotation.Excel;
import com.ruoyi.common.core.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 园区数据库对象 sys_datasource
 *
 * @author sf
 * @date 2023-05-18
 */
public class SysDatasource extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private String id;

    /** 地址 */
    @Excel(name = "地址")
    private String url;

    /** ip:端口 */
    @Excel(name = "ip:端口")
    private String ipPort;

    /** 用户名 */
    @Excel(name = "用户名")
    private String userName;

    /** 密码 */
    @Excel(name = "密码")
    private String password;

    /** 驱动 */
    @Excel(name = "驱动")
    private String driveClassName;

    /** 数据源标识 */
    @Excel(name = "数据源标识")
    private String poolName;

    /** 数据源名称 */
    @Excel(name = "数据源名称")
    private String parkName;

    /** 帐号状态（0正常 */
    @Excel(name = "帐号状态", readConverterExp = "帐号状态（0正常")
    private String status;

    /** 删除标志（0代表存在 */
    private String delFlag;

    /** 数据所属部门 */
    @Excel(name = "数据所属部门")
    private Long deptId;
    private String deptName;

    /** 0未创建 */
    @Excel(name = "0未创建")
    private String schemaCreated;
    private String datasourceId;
    private String userId;
    private String nickName;
    private String systemType;

    public String getDeptName() {
        return deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    public String getSystemType() {
        return systemType;
    }

    public void setSystemType(String systemType) {
        this.systemType = systemType;
    }

    public String getDatasourceId() {
        return datasourceId;
    }

    public void setDatasourceId(String datasourceId) {
        this.datasourceId = datasourceId;
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public String getNickName() {
        return nickName;
    }

    public void setNickName(String nickName) {
        this.nickName = nickName;
    }

    public void setId(String id)
    {
        this.id = id;
    }

    public String getId()
    {
        return id;
    }
    public void setUrl(String url)
    {
        this.url = url;
    }

    public String getUrl()
    {
        return url;
    }
    public void setIpPort(String ipPort)
    {
        this.ipPort = ipPort;
    }

    public String getIpPort()
    {
        return ipPort;
    }
    public void setUserName(String userName)
    {
        this.userName = userName;
    }

    public String getUserName()
    {
        return userName;
    }
    public void setPassword(String password)
    {
        this.password = password;
    }

    public String getPassword()
    {
        return password;
    }
    public void setDriveClassName(String driveClassName)
    {
        this.driveClassName = driveClassName;
    }

    public String getDriveClassName()
    {
        return driveClassName;
    }
    public void setPoolName(String poolName)
    {
        this.poolName = poolName;
    }

    public String getPoolName()
    {
        return poolName;
    }
    public void setParkName(String parkName)
    {
        this.parkName = parkName;
    }

    public String getParkName()
    {
        return parkName;
    }
    public void setStatus(String status)
    {
        this.status = status;
    }

    public String getStatus()
    {
        return status;
    }
    public void setDelFlag(String delFlag)
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag()
    {
        return delFlag;
    }
    public void setDeptId(Long deptId)
    {
        this.deptId = deptId;
    }

    public Long getDeptId()
    {
        return deptId;
    }
    public void setSchemaCreated(String schemaCreated)
    {
        this.schemaCreated = schemaCreated;
    }

    public String getSchemaCreated()
    {
        return schemaCreated;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("url", getUrl())
            .append("ipPort", getIpPort())
            .append("userName", getUserName())
            .append("password", getPassword())
            .append("driveClassName", getDriveClassName())
            .append("poolName", getPoolName())
            .append("parkName", getParkName())
            .append("status", getStatus())
            .append("delFlag", getDelFlag())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .append("deptId", getDeptId())
            .append("schemaCreated", getSchemaCreated())
            .toString();
    }
}
