package com.ruoyi.system.mapper;

import java.util.List;
import com.ruoyi.system.domain.BaseFactoryInfo;

/**
 * 工厂信息Mapper接口
 * 
 * @author ruoyi
 * @date 2024-07-01
 */
public interface BaseFactoryInfoMapper 
{
    /**
     * 查询工厂信息
     * 
     * @param objId 工厂信息主键
     * @return 工厂信息
     */
    public BaseFactoryInfo selectBaseFactoryInfoByObjId(Long objId);

    /**
     * 查询工厂信息列表
     * 
     * @param baseFactoryInfo 工厂信息
     * @return 工厂信息集合
     */
    public List<BaseFactoryInfo> selectBaseFactoryInfoList(BaseFactoryInfo baseFactoryInfo);

    /**
     * 新增工厂信息
     * 
     * @param baseFactoryInfo 工厂信息
     * @return 结果
     */
    public int insertBaseFactoryInfo(BaseFactoryInfo baseFactoryInfo);

    /**
     * 修改工厂信息
     * 
     * @param baseFactoryInfo 工厂信息
     * @return 结果
     */
    public int updateBaseFactoryInfo(BaseFactoryInfo baseFactoryInfo);

    /**
     * 删除工厂信息
     * 
     * @param objId 工厂信息主键
     * @return 结果
     */
    public int deleteBaseFactoryInfoByObjId(Long objId);

    /**
     * 批量删除工厂信息
     * 
     * @param objIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteBaseFactoryInfoByObjIds(Long[] objIds);
}
