package com.ruoyi.system.mapper;

import java.util.List;
import com.ruoyi.system.domain.SysUserDatasource;

/**
 * 用户数据Mapper接口
 *
 * @author wenjy
 * @date 2023-07-03
 */
public interface SysUserDatasourceMapper
{
    /**
     * 查询用户数据
     *
     * @param id 用户数据主键
     * @return 用户数据
     */
    public SysUserDatasource selectSysUserDatasourceById(Long id);

    /**
     * 查询用户数据列表
     *
     * @param sysUserDatasource 用户数据
     * @return 用户数据集合
     */
    public List<SysUserDatasource> selectSysUserDatasourceList(SysUserDatasource sysUserDatasource);

    /**
     * 新增用户数据
     *
     * @param sysUserDatasource 用户数据
     * @return 结果
     */
    public int insertSysUserDatasource(SysUserDatasource sysUserDatasource);

    /**
     * 修改用户数据
     *
     * @param sysUserDatasource 用户数据
     * @return 结果
     */
    public int updateSysUserDatasource(SysUserDatasource sysUserDatasource);

    /**
     * 删除用户数据
     *
     * @param id 用户数据主键
     * @return 结果
     */
    public int deleteSysUserDatasourceById(Long id);

    /**
     * 批量删除用户数据
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteSysUserDatasourceByIds(Long[] ids);
}
