package com.ruoyi.system.service;

import java.util.List;
import com.ruoyi.system.domain.SysDatasource;

/**
 * 数据管理Service接口
 * 
 * @author ruoyi
 * @date 2023-07-03
 */
public interface ISysDatasourceService 
{
    /**
     * 查询数据管理
     * 
     * @param id 数据管理主键
     * @return 数据管理
     */
    public SysDatasource selectSysDatasourceById(String id);

    /**
     * 查询数据管理列表
     * 
     * @param sysDatasource 数据管理
     * @return 数据管理集合
     */
    public List<SysDatasource> selectSysDatasourceList(SysDatasource sysDatasource);

    /**
     * 新增数据管理
     * 
     * @param sysDatasource 数据管理
     * @return 结果
     */
    public int insertSysDatasource(SysDatasource sysDatasource);

    /**
     * 修改数据管理
     * 
     * @param sysDatasource 数据管理
     * @return 结果
     */
    public int updateSysDatasource(SysDatasource sysDatasource);

    /**
     * 批量删除数据管理
     * 
     * @param ids 需要删除的数据管理主键集合
     * @return 结果
     */
    public int deleteSysDatasourceByIds(String[] ids);

    /**
     * 删除数据管理信息
     * 
     * @param id 数据管理主键
     * @return 结果
     */
    public int deleteSysDatasourceById(String id);
}
