package com.ruoyi.system.service.impl;

import java.util.List;

import com.baomidou.dynamic.datasource.annotation.DS;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.BaseFactoryInfoMapper;
import com.ruoyi.system.domain.BaseFactoryInfo;
import com.ruoyi.system.service.IBaseFactoryInfoService;

/**
 * 工厂信息Service业务层处理
 * 
 * @author ruoyi
 * @date 2024-07-01
 */
@Service
public class BaseFactoryInfoServiceImpl implements IBaseFactoryInfoService 
{
    @Autowired
    private BaseFactoryInfoMapper baseFactoryInfoMapper;

    /**
     * 查询工厂信息
     * 
     * @param objId 工厂信息主键
     * @return 工厂信息
     */
    @Override
    @DS("#header.poolName")
    public BaseFactoryInfo selectBaseFactoryInfoByObjId(Long objId)
    {
        return baseFactoryInfoMapper.selectBaseFactoryInfoByObjId(objId);
    }

    /**
     * 查询工厂信息列表
     * 
     * @param baseFactoryInfo 工厂信息
     * @return 工厂信息
     */
    @Override
    @DS("#header.poolName")
    public List<BaseFactoryInfo> selectBaseFactoryInfoList(BaseFactoryInfo baseFactoryInfo)
    {
        return baseFactoryInfoMapper.selectBaseFactoryInfoList(baseFactoryInfo);
    }

    /**
     * 新增工厂信息
     * 
     * @param baseFactoryInfo 工厂信息
     * @return 结果
     */
    @Override
    @DS("#header.poolName")
    public int insertBaseFactoryInfo(BaseFactoryInfo baseFactoryInfo)
    {
        return baseFactoryInfoMapper.insertBaseFactoryInfo(baseFactoryInfo);
    }

    /**
     * 修改工厂信息
     * 
     * @param baseFactoryInfo 工厂信息
     * @return 结果
     */
    @Override
    @DS("#header.poolName")
    public int updateBaseFactoryInfo(BaseFactoryInfo baseFactoryInfo)
    {
        return baseFactoryInfoMapper.updateBaseFactoryInfo(baseFactoryInfo);
    }

    /**
     * 批量删除工厂信息
     * 
     * @param objIds 需要删除的工厂信息主键
     * @return 结果
     */
    @Override
    @DS("#header.poolName")
    public int deleteBaseFactoryInfoByObjIds(Long[] objIds)
    {
        return baseFactoryInfoMapper.deleteBaseFactoryInfoByObjIds(objIds);
    }

    /**
     * 删除工厂信息信息
     * 
     * @param objId 工厂信息主键
     * @return 结果
     */
    @Override
    @DS("#header.poolName")
    public int deleteBaseFactoryInfoByObjId(Long objId)
    {
        return baseFactoryInfoMapper.deleteBaseFactoryInfoByObjId(objId);
    }
}
