package com.ruoyi.system.service.impl;

import java.util.List;
import com.ruoyi.common.core.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.SysDatasourceMapper;
import com.ruoyi.system.domain.SysDatasource;
import com.ruoyi.system.service.ISysDatasourceService;

/**
 * 数据管理Service业务层处理
 * 
 * @author ruoyi
 * @date 2023-07-03
 */
@Service
public class SysDatasourceServiceImpl implements ISysDatasourceService 
{
    @Autowired
    private SysDatasourceMapper sysDatasourceMapper;

    /**
     * 查询数据管理
     * 
     * @param id 数据管理主键
     * @return 数据管理
     */
    @Override
    public SysDatasource selectSysDatasourceById(String id)
    {
        return sysDatasourceMapper.selectSysDatasourceById(id);
    }

    /**
     * 查询数据管理列表
     * 
     * @param sysDatasource 数据管理
     * @return 数据管理
     */
    @Override
    public List<SysDatasource> selectSysDatasourceList(SysDatasource sysDatasource)
    {
        return sysDatasourceMapper.selectSysDatasourceList(sysDatasource);
    }

    /**
     * 新增数据管理
     * 
     * @param sysDatasource 数据管理
     * @return 结果
     */
    @Override
    public int insertSysDatasource(SysDatasource sysDatasource)
    {
        sysDatasource.setCreateTime(DateUtils.getNowDate());
        return sysDatasourceMapper.insertSysDatasource(sysDatasource);
    }

    /**
     * 修改数据管理
     * 
     * @param sysDatasource 数据管理
     * @return 结果
     */
    @Override
    public int updateSysDatasource(SysDatasource sysDatasource)
    {
        sysDatasource.setUpdateTime(DateUtils.getNowDate());
        return sysDatasourceMapper.updateSysDatasource(sysDatasource);
    }

    /**
     * 批量删除数据管理
     * 
     * @param ids 需要删除的数据管理主键
     * @return 结果
     */
    @Override
    public int deleteSysDatasourceByIds(String[] ids)
    {
        return sysDatasourceMapper.deleteSysDatasourceByIds(ids);
    }

    /**
     * 删除数据管理信息
     * 
     * @param id 数据管理主键
     * @return 结果
     */
    @Override
    public int deleteSysDatasourceById(String id)
    {
        return sysDatasourceMapper.deleteSysDatasourceById(id);
    }
}
