package com.ruoyi.system.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.SysUserDatasourceMapper;
import com.ruoyi.system.domain.SysUserDatasource;
import com.ruoyi.system.service.ISysUserDatasourceService;

/**
 * 用户数据Service业务层处理
 *
 * @author wenjy
 * @date 2023-07-03
 */
@Service
public class SysUserDatasourceServiceImpl implements ISysUserDatasourceService
{
    @Autowired
    private SysUserDatasourceMapper sysUserDatasourceMapper;

    /**
     * 查询用户数据
     *
     * @param id 用户数据主键
     * @return 用户数据
     */
    @Override
    public SysUserDatasource selectSysUserDatasourceById(Long id)
    {
        return sysUserDatasourceMapper.selectSysUserDatasourceById(id);
    }

    /**
     * 查询用户数据列表
     *
     * @param sysUserDatasource 用户数据
     * @return 用户数据
     */
    @Override
    public List<SysUserDatasource> selectSysUserDatasourceList(SysUserDatasource sysUserDatasource)
    {
        return sysUserDatasourceMapper.selectSysUserDatasourceList(sysUserDatasource);
    }

    /**
     * 新增用户数据
     *
     * @param sysUserDatasource 用户数据
     * @return 结果
     */
    @Override
    public int insertSysUserDatasource(SysUserDatasource sysUserDatasource)
    {
        return sysUserDatasourceMapper.insertSysUserDatasource(sysUserDatasource);
    }

    /**
     * 修改用户数据
     *
     * @param sysUserDatasource 用户数据
     * @return 结果
     */
    @Override
    public int updateSysUserDatasource(SysUserDatasource sysUserDatasource)
    {
        return sysUserDatasourceMapper.updateSysUserDatasource(sysUserDatasource);
    }

    /**
     * 批量删除用户数据
     *
     * @param ids 需要删除的用户数据主键
     * @return 结果
     */
    @Override
    public int deleteSysUserDatasourceByIds(Long[] ids)
    {
        return sysUserDatasourceMapper.deleteSysUserDatasourceByIds(ids);
    }

    /**
     * 删除用户数据信息
     *
     * @param id 用户数据主键
     * @return 结果
     */
    @Override
    public int deleteSysUserDatasourceById(Long id)
    {
        return sysUserDatasourceMapper.deleteSysUserDatasourceById(id);
    }
}
