import request from '@/utils/request'

// 查询数据管理列表
export function listDatasource(query) {
  return request({
    url: '/system/datasource/list',
    method: 'get',
    params: query
  })
}

// 查询数据管理详细
export function getDatasource(id) {
  return request({
    url: '/system/datasource/' + id,
    method: 'get'
  })
}

// 新增数据管理
export function addDatasource(data) {
  return request({
    url: '/system/datasource',
    method: 'post',
    data: data
  })
}

// 修改数据管理
export function updateDatasource(data) {
  return request({
    url: '/system/datasource',
    method: 'put',
    data: data
  })
}

// 删除数据管理
export function delDatasource(id) {
  return request({
    url: '/system/datasource/' + id,
    method: 'delete'
  })
}
