import request from '@/utils/request'

// 查询工厂信息列表
export function listInfo(query) {
  return request({
    url: '/system/info/list',
    method: 'get',
    params: query
  })
}

// 查询工厂信息详细
export function getInfo(objId) {
  return request({
    url: '/system/info/' + objId,
    method: 'get'
  })
}

// 新增工厂信息
export function addInfo(data) {
  return request({
    url: '/system/info',
    method: 'post',
    data: data
  })
}

// 修改工厂信息
export function updateInfo(data) {
  return request({
    url: '/system/info',
    method: 'put',
    data: data
  })
}

// 删除工厂信息
export function delInfo(objId) {
  return request({
    url: '/system/info/' + objId,
    method: 'delete'
  })
}
