import request from '@/utils/request'

// 查询用户数据列表
export function listUserdatasource(query) {
  return request({
    url: '/system/userdatasource/list',
    method: 'get',
    params: query
  })
}

// 查询用户数据详细
export function getUserdatasource(id) {
  return request({
    url: '/system/userdatasource/' + id,
    method: 'get'
  })
}

// 新增用户数据
export function addUserdatasource(data) {
  return request({
    url: '/system/userdatasource',
    method: 'post',
    data: data
  })
}

// 修改用户数据
export function updateUserdatasource(data) {
  return request({
    url: '/system/userdatasource',
    method: 'put',
    data: data
  })
}

// 删除用户数据
export function delUserdatasource(id) {
  return request({
    url: '/system/userdatasource/' + id,
    method: 'delete'
  })
}

// 删除用户数据
export function getDatasourceIdList() {
  return request({
    url: '/system/datasource/list' ,
    method: 'get'
  })
}
